int red, green, blue; //red, green and blue values
int RedPin = 11; //Red pin 9 has a PWM
int GreenPin = 10; //Green pin 10 has a PWM
int BluePin = 9; //Blue pin 11 has a PWM

int incomingByte = 0;

void setup()
{
  Serial.begin(9600);

  pinMode(RedPin, OUTPUT);
  pinMode(GreenPin, OUTPUT);
  pinMode(BluePin, OUTPUT);
  
  //initial values (no significance)
  int red = 255;
  int blue = 255;
  int green = 255;
}

void loop()
{
  /*
  if (Serial.available() > 0) {
      incomingByte = Serial.read();
      if (incomingByte == 195) {
        analogWrite(GreenPin, 255);
      }
      analogWrite(RedPin, 255);
      Serial.println(incomingByte);
  }
  if (Serial.available() > 0) {
    red = Serial.read();
    delay(100);
    Serial.print(red);
  }
  */
  if (Serial.available()>=4) {
    if(Serial.read() == 0xff){
      red = Serial.read();
      green= Serial.read();
      blue = Serial.read();
      
      Serial.print("red: ");
      Serial.print(red);
      
      Serial.print("green: ");
      Serial.print(green);
      
      Serial.print("blue ");
      Serial.println(blue);

      green -= 30;
      if (green < 0 ) {
        green = 0;
      }
    
      blue -= 30;
      if (blue < 0) {
        blue = 0;
      }

      red -= 30;
      if (red < 0) {
        red = 0;
      }
    }
  }

  

  analogWrite (RedPin, red);
  analogWrite (GreenPin, green);
  analogWrite (BluePin, blue);

  
  
  delay(10); //just to be safe
}
